Index: doc/latex/classuiscalar__inherit__graph.eps
===================================================================
--- doc/latex/classuiscalar__inherit__graph.eps (revision 99)
+++ doc/latex/classuiscalar__inherit__graph.eps (revision 99)
@@ -0,0 +1,264 @@
+%!PS-Adobe-2.0
+%%Creator: Graphviz version 2.16 (Fri Feb  8 12:52:03 UTC 2008)
+%%For: (smidl) Vasek Smidl,,,
+%%Title: G
+%%Pages: (atend)
+%%BoundingBox: (atend)
+%%EndComments
+save
+%%BeginProlog
+/DotDict 200 dict def
+DotDict begin
+
+/setupLatin1 {
+mark
+/EncodingVector 256 array def
+ EncodingVector 0
+
+ISOLatin1Encoding 0 255 getinterval putinterval
+EncodingVector 45 /hyphen put
+
+% Set up ISO Latin 1 character encoding
+/starnetISO {
+        dup dup findfont dup length dict begin
+        { 1 index /FID ne { def }{ pop pop } ifelse
+        } forall
+        /Encoding EncodingVector def
+        currentdict end definefont
+} def
+/Times-Roman starnetISO def
+/Times-Italic starnetISO def
+/Times-Bold starnetISO def
+/Times-BoldItalic starnetISO def
+/Helvetica starnetISO def
+/Helvetica-Oblique starnetISO def
+/Helvetica-Bold starnetISO def
+/Helvetica-BoldOblique starnetISO def
+/Courier starnetISO def
+/Courier-Oblique starnetISO def
+/Courier-Bold starnetISO def
+/Courier-BoldOblique starnetISO def
+cleartomark
+} bind def
+
+%%BeginResource: procset graphviz 0 0
+/coord-font-family /Times-Roman def
+/default-font-family /Times-Roman def
+/coordfont coord-font-family findfont 8 scalefont def
+
+/InvScaleFactor 1.0 def
+/set_scale {
+       dup 1 exch div /InvScaleFactor exch def
+       scale
+} bind def
+
+% styles
+/solid { [] 0 setdash } bind def
+/dashed { [9 InvScaleFactor mul dup ] 0 setdash } bind def
+/dotted { [1 InvScaleFactor mul 6 InvScaleFactor mul] 0 setdash } bind def
+/invis {/fill {newpath} def /stroke {newpath} def /show {pop newpath} def} bind def
+/bold { 2 setlinewidth } bind def
+/filled { } bind def
+/unfilled { } bind def
+/rounded { } bind def
+/diagonals { } bind def
+
+% hooks for setting color 
+/nodecolor { sethsbcolor } bind def
+/edgecolor { sethsbcolor } bind def
+/graphcolor { sethsbcolor } bind def
+/nopcolor {pop pop pop} bind def
+
+/beginpage {	% i j npages
+	/npages exch def
+	/j exch def
+	/i exch def
+	/str 10 string def
+	npages 1 gt {
+		gsave
+			coordfont setfont
+			0 0 moveto
+			(\() show i str cvs show (,) show j str cvs show (\)) show
+		grestore
+	} if
+} bind def
+
+/set_font {
+	findfont exch
+	scalefont setfont
+} def
+
+% draw text fitted to its expected width
+/alignedtext {			% width text
+	/text exch def
+	/width exch def
+	gsave
+		width 0 gt {
+			[] 0 setdash
+			text stringwidth pop width exch sub text length div 0 text ashow
+		} if
+	grestore
+} def
+
+/boxprim {				% xcorner ycorner xsize ysize
+		4 2 roll
+		moveto
+		2 copy
+		exch 0 rlineto
+		0 exch rlineto
+		pop neg 0 rlineto
+		closepath
+} bind def
+
+/ellipse_path {
+	/ry exch def
+	/rx exch def
+	/y exch def
+	/x exch def
+	matrix currentmatrix
+	newpath
+	x y translate
+	rx ry scale
+	0 0 1 0 360 arc
+	setmatrix
+} bind def
+
+/endpage { showpage } bind def
+/showpage { } def
+
+/layercolorseq
+	[	% layer color sequence - darkest to lightest
+		[0 0 0]
+		[.2 .8 .8]
+		[.4 .8 .8]
+		[.6 .8 .8]
+		[.8 .8 .8]
+	]
+def
+
+/layerlen layercolorseq length def
+
+/setlayer {/maxlayer exch def /curlayer exch def
+	layercolorseq curlayer 1 sub layerlen mod get
+	aload pop sethsbcolor
+	/nodecolor {nopcolor} def
+	/edgecolor {nopcolor} def
+	/graphcolor {nopcolor} def
+} bind def
+
+/onlayer { curlayer ne {invis} if } def
+
+/onlayers {
+	/myupper exch def
+	/mylower exch def
+	curlayer mylower lt
+	curlayer myupper gt
+	or
+	{invis} if
+} def
+
+/curlayer 0 def
+
+%%EndResource
+%%EndProlog
+%%BeginSetup
+14 default-font-family set_font
+1 setmiterlimit
+% /arrowlength 10 def
+% /arrowwidth 5 def
+
+% make sure pdfmark is harmless for PS-interpreters other than Distiller
+/pdfmark where {pop} {userdict /pdfmark /cleartomark load put} ifelse
+% make '<<' and '>>' safe on PS Level 1 devices
+/languagelevel where {pop languagelevel}{1} ifelse
+2 lt {
+    userdict (<<) cvn ([) cvn load put
+    userdict (>>) cvn ([) cvn load put
+} if
+
+%%EndSetup
+setupLatin1
+%%Page: 1 1
+%%PageBoundingBox: 36 36 118 120
+%%PageOrientation: Portrait
+0 0 1 beginpage
+gsave
+36 36 82 84 boxprim clip newpath
+1 1 set_scale 0 rotate 40 40 translate
+% Node1
+gsave
+0.000 0.000 0.749 nodecolor
+newpath 0 0 moveto
+0 19 lineto
+74 19 lineto
+74 0 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 0 0 moveto
+0 19 lineto
+74 19 lineto
+74 0 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10.00 /FreeSans set_font
+8.125 5.25 moveto 57.75 (uiscalar< T >) alignedtext
+grestore
+% Node2
+gsave
+[ /Rect [ 15 57 59 75 ]
+  /Border [ 0 0 0 ]
+  /Action << /Subtype /URI /URI ($classuibase.html) >>
+  /Subtype /Link
+/ANN pdfmark
+0.000 0.000 1.000 nodecolor
+newpath 15 56 moveto
+15 75 lineto
+60 75 lineto
+60 56 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 15 56 moveto
+15 75 lineto
+60 75 lineto
+60 56 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10.00 /FreeSans set_font
+22.75 61.25 moveto 28.5 (uibase) alignedtext
+grestore
+% Node2->Node1
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 37 46 moveto
+37 37 37 26 37 19 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 33.5001 46 moveto
+37 56 lineto
+40.5001 46 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 33.5001 46 moveto
+37 56 lineto
+40.5001 46 lineto
+closepath stroke
+grestore
+endpage
+showpage
+grestore
+%%PageTrailer
+%%EndPage: 1
+%%Trailer
+%%Pages: 1
+%%BoundingBox: 36 36 118 120
+end
+restore
+%%EOF
Index: doc/latex/classegiw__coll__graph.md5
===================================================================
--- doc/latex/classegiw__coll__graph.md5 (revision 99)
+++ doc/latex/classegiw__coll__graph.md5 (revision 99)
@@ -0,0 +1,1 @@
+62ee11c899d6a8197f616e94ef6c7412
Index: doc/latex/classuivector__coll__graph.md5
===================================================================
--- doc/latex/classuivector__coll__graph.md5 (revision 99)
+++ doc/latex/classuivector__coll__graph.md5 (revision 99)
@@ -0,0 +1,1 @@
+eabf74d87df2e8a51ebef8d6d6763bd5
Index: doc/latex/libBM_8h__dep__incl.eps
===================================================================
--- doc/latex/libBM_8h__dep__incl.eps (revision 91)
+++ doc/latex/libBM_8h__dep__incl.eps (revision 99)
@@ -180,33 +180,33 @@
 setupLatin1
 %%Page: 1 1
-%%PageBoundingBox: 36 36 894 232
+%%PageBoundingBox: 36 36 835 232
 %%PageOrientation: Portrait
 0 0 1 beginpage
 gsave
-36 36 858 196 boxprim clip newpath
+36 36 799 196 boxprim clip newpath
 1 1 set_scale 0 rotate 40 40 translate
 % Node1
 gsave
 0.000 0.000 0.749 nodecolor
-newpath 387 168 moveto
-387 187 lineto
-530 187 lineto
-530 168 lineto
-closepath fill
-1 setlinewidth
-filled
-0.000 0.000 0.000 nodecolor
-newpath 387 168 moveto
-387 187 lineto
-530 187 lineto
-530 168 lineto
-closepath stroke
-0.000 0.000 0.000 nodecolor
-10.00 /FreeSans set_font
-394.625 173.25 moveto 126.75 (work/mixpp/bdm/stat/libBM.h) alignedtext
+newpath 405 168 moveto
+405 187 lineto
+548 187 lineto
+548 168 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 405 168 moveto
+405 187 lineto
+548 187 lineto
+548 168 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10.00 /FreeSans set_font
+412.625 173.25 moveto 126.75 (work/mixpp/bdm/stat/libBM.h) alignedtext
 grestore
 % Node2
 gsave
-[ /Rect [ 76 113 216 131 ]
+[ /Rect [ 165 113 305 131 ]
   /Border [ 0 0 0 ]
   /Action << /Subtype /URI /URI ($libFN_8h-source.html) >>
@@ -214,20 +214,20 @@
 /ANN pdfmark
 0.000 0.000 1.000 nodecolor
-newpath 76 112 moveto
-76 131 lineto
-217 131 lineto
-217 112 lineto
-closepath fill
-1 setlinewidth
-filled
-0.000 0.000 0.000 nodecolor
-newpath 76 112 moveto
-76 131 lineto
-217 131 lineto
-217 112 lineto
-closepath stroke
-0.000 0.000 0.000 nodecolor
-10.00 /FreeSans set_font
-83.75 117.25 moveto 124.5 (work/mixpp/bdm/stat/libFN.h) alignedtext
+newpath 165 112 moveto
+165 131 lineto
+306 131 lineto
+306 112 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 165 112 moveto
+165 131 lineto
+306 131 lineto
+306 112 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10.00 /FreeSans set_font
+172.75 117.25 moveto 124.5 (work/mixpp/bdm/stat/libFN.h) alignedtext
 grestore
 % Node1->Node2
@@ -236,366 +236,477 @@
 solid
 0.667 0.776 0.439 edgecolor
-newpath 392 166 moveto
-333 156 249 140 196 131 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 391.508 169.471 moveto
-402 168 lineto
-392.881 162.607 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 391.508 169.471 moveto
-402 168 lineto
-392.881 162.607 lineto
+newpath 423 166 moveto
+378 156 314 140 274 131 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 422.508 169.471 moveto
+433 168 lineto
+423.881 162.607 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 422.508 169.471 moveto
+433 168 lineto
+423.881 162.607 lineto
+closepath stroke
+grestore
+% Node8
+gsave
+[ /Rect [ 325 113 465 131 ]
+  /Border [ 0 0 0 ]
+  /Action << /Subtype /URI /URI ($libEF_8h.html) >>
+  /Subtype /Link
+/ANN pdfmark
+0.000 0.000 1.000 nodecolor
+newpath 325 112 moveto
+325 131 lineto
+465 131 lineto
+465 112 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 325 112 moveto
+325 131 lineto
+465 131 lineto
+465 112 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10.00 /FreeSans set_font
+333.125 117.25 moveto 123.75 (work/mixpp/bdm/stat/libEF.h) alignedtext
+grestore
+% Node1->Node8
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 453 162 moveto
+438 152 420 139 408 131 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 451.738 165.365 moveto
+462 168 lineto
+455.621 159.541 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 451.738 165.365 moveto
+462 168 lineto
+455.621 159.541 lineto
+closepath stroke
+grestore
+% Node10
+gsave
+[ /Rect [ 651 113 791 131 ]
+  /Border [ 0 0 0 ]
+  /Action << /Subtype /URI /URI ($libDS_8h.html) >>
+  /Subtype /Link
+/ANN pdfmark
+0.000 0.000 1.000 nodecolor
+newpath 651 112 moveto
+651 131 lineto
+792 131 lineto
+792 112 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 651 112 moveto
+651 131 lineto
+792 131 lineto
+792 112 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10.00 /FreeSans set_font
+658.375 117.25 moveto 125.25 (work/mixpp/bdm/stat/libDS.h) alignedtext
+grestore
+% Node1->Node10
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 530 166 moveto
+576 156 640 140 682 131 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 529.119 162.607 moveto
+520 168 lineto
+530.492 169.471 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 529.119 162.607 moveto
+520 168 lineto
+530.492 169.471 lineto
+closepath stroke
+grestore
+% Node11
+gsave
+[ /Rect [ 483 113 633 131 ]
+  /Border [ 0 0 0 ]
+  /Action << /Subtype /URI /URI ($loggers_8h.html) >>
+  /Subtype /Link
+/ANN pdfmark
+0.000 0.000 1.000 nodecolor
+newpath 483 112 moveto
+483 131 lineto
+633 131 lineto
+633 112 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 483 112 moveto
+483 131 lineto
+633 131 lineto
+633 112 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10.00 /FreeSans set_font
+491.25 117.25 moveto 133.5 (work/mixpp/bdm/stat/loggers.h) alignedtext
+grestore
+% Node1->Node11
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 499 162 moveto
+514 152 533 139 545 131 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 496.9 159.2 moveto
+491 168 lineto
+501.1 164.8 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 496.9 159.2 moveto
+491 168 lineto
+501.1 164.8 lineto
+closepath stroke
+grestore
+% Node3
+gsave
+[ /Rect [ 166 57 304 75 ]
+  /Border [ 0 0 0 ]
+  /Action << /Subtype /URI /URI ($arx_8h.html) >>
+  /Subtype /Link
+/ANN pdfmark
+0.000 0.000 1.000 nodecolor
+newpath 166 56 moveto
+166 75 lineto
+305 75 lineto
+305 56 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 166 56 moveto
+166 75 lineto
+305 75 lineto
+305 56 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10.00 /FreeSans set_font
+173.5 61.25 moveto 123 (work/mixpp/bdm/estim/arx.h) alignedtext
+grestore
+% Node2->Node3
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 235 102 moveto
+235 93 235 82 235 75 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 231.5 102 moveto
+235 112 lineto
+238.5 102 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 231.5 102 moveto
+235 112 lineto
+238.5 102 lineto
+closepath stroke
+grestore
+% Node4
+gsave
+[ /Rect [ 322 57 468 75 ]
+  /Border [ 0 0 0 ]
+  /Action << /Subtype /URI /URI ($libKF_8h.html) >>
+  /Subtype /Link
+/ANN pdfmark
+0.000 0.000 1.000 nodecolor
+newpath 322 56 moveto
+322 75 lineto
+469 75 lineto
+469 56 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 322 56 moveto
+322 75 lineto
+469 75 lineto
+469 56 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10.00 /FreeSans set_font
+329.375 61.25 moveto 131.25 (work/mixpp/bdm/estim/libKF.h) alignedtext
+grestore
+% Node2->Node4
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 274 109 moveto
+303 99 344 84 369 75 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 272.573 105.774 moveto
+264 112 lineto
+274.584 112.479 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 272.573 105.774 moveto
+264 112 lineto
+274.584 112.479 lineto
+closepath stroke
+grestore
+% Node5
+gsave
+[ /Rect [ 204 1 354 19 ]
+  /Border [ 0 0 0 ]
+  /Action << /Subtype /URI /URI ($sim__var_8cpp.html) >>
+  /Subtype /Link
+/ANN pdfmark
+0.000 0.000 1.000 nodecolor
+newpath 204 0 moveto
+204 19 lineto
+355 19 lineto
+355 0 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 204 0 moveto
+204 19 lineto
+355 19 lineto
+355 0 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10.00 /FreeSans set_font
+211.5 5.25 moveto 135 (work/mixpp/pmsm/sim_var.cpp) alignedtext
+grestore
+% Node2->Node5
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 155 116 moveto
+97 111 25 99 5 76 curveto
+0 69 0 62 5 56 curveto
+18 41 127 26 204 18 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 154.701 119.488 moveto
+165 117 lineto
+155.398 112.522 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 154.701 119.488 moveto
+165 117 lineto
+155.398 112.522 lineto
+closepath stroke
+grestore
+% Node7
+gsave
+[ /Rect [ 14 57 148 75 ]
+  /Border [ 0 0 0 ]
+  /Action << /Subtype /URI /URI ($pmsm_8h-source.html) >>
+  /Subtype /Link
+/ANN pdfmark
+0.000 0.000 1.000 nodecolor
+newpath 14 56 moveto
+14 75 lineto
+148 75 lineto
+148 56 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 14 56 moveto
+14 75 lineto
+148 75 lineto
+148 56 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10.00 /FreeSans set_font
+22.125 61.25 moveto 117.75 (work/mixpp/pmsm/pmsm.h) alignedtext
+grestore
+% Node2->Node7
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 197 109 moveto
+169 98 130 84 106 75 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 196.416 112.479 moveto
+207 112 lineto
+198.427 105.774 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 196.416 112.479 moveto
+207 112 lineto
+198.427 105.774 lineto
+closepath stroke
+grestore
+% Node4->Node5
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 365 52 moveto
+343 42 316 28 298 19 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 363.44 55.1369 moveto
+374 56 lineto
+366.283 48.7402 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 363.44 55.1369 moveto
+374 56 lineto
+366.283 48.7402 lineto
 closepath stroke
 grestore
 % Node6
 gsave
-[ /Rect [ 234 113 374 131 ]
-  /Border [ 0 0 0 ]
-  /Action << /Subtype /URI /URI ($libEF_8h.html) >>
-  /Subtype /Link
-/ANN pdfmark
-0.000 0.000 1.000 nodecolor
-newpath 234 112 moveto
-234 131 lineto
-374 131 lineto
-374 112 lineto
-closepath fill
-1 setlinewidth
-filled
-0.000 0.000 0.000 nodecolor
-newpath 234 112 moveto
-234 131 lineto
-374 131 lineto
-374 112 lineto
-closepath stroke
-0.000 0.000 0.000 nodecolor
-10.00 /FreeSans set_font
-242.125 117.25 moveto 123.75 (work/mixpp/bdm/stat/libEF.h) alignedtext
-grestore
-% Node1->Node6
-gsave
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 420 165 moveto
-392 154 353 140 329 131 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 419.416 168.479 moveto
-430 168 lineto
-421.427 161.774 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 419.416 168.479 moveto
-430 168 lineto
-421.427 161.774 lineto
-closepath stroke
-grestore
-% Node8
-gsave
-[ /Rect [ 392 113 524 131 ]
-  /Border [ 0 0 0 ]
-  /Action << /Subtype /URI /URI ($arx_8h.html) >>
-  /Subtype /Link
-/ANN pdfmark
-0.000 0.000 1.000 nodecolor
-newpath 392 112 moveto
-392 131 lineto
-524 131 lineto
-524 112 lineto
-closepath fill
-1 setlinewidth
-filled
-0.000 0.000 0.000 nodecolor
-newpath 392 112 moveto
-392 131 lineto
-524 131 lineto
-524 112 lineto
-closepath stroke
-0.000 0.000 0.000 nodecolor
-10.00 /FreeSans set_font
-400.25 117.25 moveto 115.5 (work/mixpp/bdm/stat/arx.h) alignedtext
-grestore
-% Node1->Node8
-gsave
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 458 158 moveto
-458 149 458 138 458 131 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 454.5 158 moveto
-458 168 lineto
-461.5 158 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 454.5 158 moveto
-458 168 lineto
-461.5 158 lineto
+[ /Rect [ 372 1 648 19 ]
+  /Border [ 0 0 0 ]
+  /Action << /Subtype /URI /URI ($ekf__obj_8h.html) >>
+  /Subtype /Link
+/ANN pdfmark
+0.000 0.000 1.000 nodecolor
+newpath 372 0 moveto
+372 19 lineto
+648 19 lineto
+648 0 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 372 0 moveto
+372 19 lineto
+648 19 lineto
+648 0 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10.00 /FreeSans set_font
+379.875 5.25 moveto 260.25 (work/mixpp/pmsm/simulator_zdenek/ekf_example/ekf_obj.h) alignedtext
+grestore
+% Node4->Node6
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 425 52 moveto
+447 42 474 28 492 19 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 423.717 48.7402 moveto
+416 56 lineto
+426.56 55.1369 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 423.717 48.7402 moveto
+416 56 lineto
+426.56 55.1369 lineto
+closepath stroke
+grestore
+% Node7->Node5
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 126 53 moveto
+163 43 214 28 247 19 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 124.573 49.7741 moveto
+116 56 lineto
+126.584 56.4788 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 124.573 49.7741 moveto
+116 56 lineto
+126.584 56.4788 lineto
+closepath stroke
+grestore
+% Node8->Node3
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 356 109 moveto
+327 99 286 84 261 75 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 355.416 112.479 moveto
+366 112 lineto
+357.427 105.774 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 355.416 112.479 moveto
+366 112 lineto
+357.427 105.774 lineto
+closepath stroke
+grestore
+% Node8->Node4
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 395 102 moveto
+395 93 395 82 395 75 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 391.5 102 moveto
+395 112 lineto
+398.5 102 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 391.5 102 moveto
+395 112 lineto
+398.5 102 lineto
 closepath stroke
 grestore
 % Node9
 gsave
-[ /Rect [ 542 113 682 131 ]
-  /Border [ 0 0 0 ]
-  /Action << /Subtype /URI /URI ($libDS_8h.html) >>
-  /Subtype /Link
-/ANN pdfmark
-0.000 0.000 1.000 nodecolor
-newpath 542 112 moveto
-542 131 lineto
-683 131 lineto
-683 112 lineto
-closepath fill
-1 setlinewidth
-filled
-0.000 0.000 0.000 nodecolor
-newpath 542 112 moveto
-542 131 lineto
-683 131 lineto
-683 112 lineto
-closepath stroke
-0.000 0.000 0.000 nodecolor
-10.00 /FreeSans set_font
-549.375 117.25 moveto 125.25 (work/mixpp/bdm/stat/libDS.h) alignedtext
-grestore
-% Node1->Node9
-gsave
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 496 165 moveto
-524 154 563 140 587 131 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 494.573 161.774 moveto
-486 168 lineto
-496.584 168.479 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 494.573 161.774 moveto
-486 168 lineto
-496.584 168.479 lineto
-closepath stroke
-grestore
-% Node10
-gsave
-[ /Rect [ 700 113 850 131 ]
-  /Border [ 0 0 0 ]
-  /Action << /Subtype /URI /URI ($loggers_8h.html) >>
-  /Subtype /Link
-/ANN pdfmark
-0.000 0.000 1.000 nodecolor
-newpath 700 112 moveto
-700 131 lineto
-850 131 lineto
-850 112 lineto
-closepath fill
-1 setlinewidth
-filled
-0.000 0.000 0.000 nodecolor
-newpath 700 112 moveto
-700 131 lineto
-850 131 lineto
-850 112 lineto
-closepath stroke
-0.000 0.000 0.000 nodecolor
-10.00 /FreeSans set_font
-708.25 117.25 moveto 133.5 (work/mixpp/bdm/stat/loggers.h) alignedtext
-grestore
-% Node1->Node10
-gsave
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 525 166 moveto
-584 156 670 140 724 131 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 524.119 162.607 moveto
-515 168 lineto
-525.492 169.471 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 524.119 162.607 moveto
-515 168 lineto
-525.492 169.471 lineto
-closepath stroke
-grestore
-% Node3
-gsave
-[ /Rect [ 152 57 298 75 ]
-  /Border [ 0 0 0 ]
-  /Action << /Subtype /URI /URI ($libKF_8h.html) >>
-  /Subtype /Link
-/ANN pdfmark
-0.000 0.000 1.000 nodecolor
-newpath 152 56 moveto
-152 75 lineto
-299 75 lineto
-299 56 lineto
-closepath fill
-1 setlinewidth
-filled
-0.000 0.000 0.000 nodecolor
-newpath 152 56 moveto
-152 75 lineto
-299 75 lineto
-299 56 lineto
-closepath stroke
-0.000 0.000 0.000 nodecolor
-10.00 /FreeSans set_font
-159.375 61.25 moveto 131.25 (work/mixpp/bdm/estim/libKF.h) alignedtext
-grestore
-% Node2->Node3
-gsave
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 168 106 moveto
-183 96 200 83 212 75 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 165.9 103.2 moveto
-160 112 lineto
-170.1 108.8 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 165.9 103.2 moveto
-160 112 lineto
-170.1 108.8 lineto
-closepath stroke
-grestore
-% Node5
-gsave
-[ /Rect [ 0 57 134 75 ]
-  /Border [ 0 0 0 ]
-  /Action << /Subtype /URI /URI ($pmsm_8h-source.html) >>
-  /Subtype /Link
-/ANN pdfmark
-0.000 0.000 1.000 nodecolor
-newpath 0 56 moveto
-0 75 lineto
-134 75 lineto
-134 56 lineto
-closepath fill
-1 setlinewidth
-filled
-0.000 0.000 0.000 nodecolor
-newpath 0 56 moveto
-0 75 lineto
-134 75 lineto
-134 56 lineto
-closepath stroke
-0.000 0.000 0.000 nodecolor
-10.00 /FreeSans set_font
-8.125 61.25 moveto 117.75 (work/mixpp/pmsm/pmsm.h) alignedtext
-grestore
-% Node2->Node5
-gsave
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 124 106 moveto
-109 96 92 83 80 75 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 121.9 108.8 moveto
-132 112 lineto
-126.1 103.2 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 121.9 108.8 moveto
-132 112 lineto
-126.1 103.2 lineto
-closepath stroke
-grestore
-% Node4
-gsave
-[ /Rect [ 87 1 363 19 ]
-  /Border [ 0 0 0 ]
-  /Action << /Subtype /URI /URI ($ekf__obj_8h.html) >>
-  /Subtype /Link
-/ANN pdfmark
-0.000 0.000 1.000 nodecolor
-newpath 87 0 moveto
-87 19 lineto
-363 19 lineto
-363 0 lineto
-closepath fill
-1 setlinewidth
-filled
-0.000 0.000 0.000 nodecolor
-newpath 87 0 moveto
-87 19 lineto
-363 19 lineto
-363 0 lineto
-closepath stroke
-0.000 0.000 0.000 nodecolor
-10.00 /FreeSans set_font
-94.875 5.25 moveto 260.25 (work/mixpp/pmsm/simulator_zdenek/ekf_example/ekf_obj.h) alignedtext
-grestore
-% Node3->Node4
-gsave
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 225 46 moveto
-225 37 225 26 225 19 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 221.5 46 moveto
-225 56 lineto
-228.5 46 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 221.5 46 moveto
-225 56 lineto
-228.5 46 lineto
-closepath stroke
-grestore
-% Node6->Node3
-gsave
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 282 106 moveto
-267 96 250 83 238 75 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 279.9 108.8 moveto
-290 112 lineto
-284.1 103.2 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 279.9 108.8 moveto
-290 112 lineto
-284.1 103.2 lineto
-closepath stroke
-grestore
-% Node7
-gsave
-[ /Rect [ 316 57 462 75 ]
+[ /Rect [ 486 57 632 75 ]
   /Border [ 0 0 0 ]
   /Action << /Subtype /URI /URI ($libPF_8h.html) >>
@@ -603,40 +714,83 @@
 /ANN pdfmark
 0.000 0.000 1.000 nodecolor
-newpath 316 56 moveto
-316 75 lineto
-463 75 lineto
-463 56 lineto
-closepath fill
-1 setlinewidth
-filled
-0.000 0.000 0.000 nodecolor
-newpath 316 56 moveto
-316 75 lineto
-463 75 lineto
-463 56 lineto
-closepath stroke
-0.000 0.000 0.000 nodecolor
-10.00 /FreeSans set_font
-323.375 61.25 moveto 131.25 (work/mixpp/bdm/estim/libPF.h) alignedtext
-grestore
-% Node6->Node7
-gsave
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 328 107 moveto
-343 97 362 83 375 75 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 326.042 104.084 moveto
-319 112 lineto
-329.441 110.203 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 326.042 104.084 moveto
-319 112 lineto
-329.441 110.203 lineto
+newpath 486 56 moveto
+486 75 lineto
+633 75 lineto
+633 56 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 486 56 moveto
+486 75 lineto
+633 75 lineto
+633 56 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10.00 /FreeSans set_font
+493.375 61.25 moveto 131.25 (work/mixpp/bdm/estim/libPF.h) alignedtext
+grestore
+% Node8->Node9
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 434 109 moveto
+464 99 506 84 533 75 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 432.573 105.774 moveto
+424 112 lineto
+434.584 112.479 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 432.573 105.774 moveto
+424 112 lineto
+434.584 112.479 lineto
+closepath stroke
+grestore
+% Node9->Node5
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 499 54 moveto
+446 44 371 28 324 19 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 498.508 57.4708 moveto
+509 56 lineto
+499.881 50.6067 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 498.508 57.4708 moveto
+509 56 lineto
+499.881 50.6067 lineto
+closepath stroke
+grestore
+% Node11->Node5
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 598 108 moveto
+627 96 659 77 641 56 curveto
+640 55 458 32 352 19 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 595.985 105.036 moveto
+588 112 lineto
+598.585 111.536 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 595.985 105.036 moveto
+588 112 lineto
+598.585 111.536 lineto
 closepath stroke
 grestore
@@ -648,5 +802,5 @@
 %%Trailer
 %%Pages: 1
-%%BoundingBox: 36 36 894 232
+%%BoundingBox: 36 36 835 232
 end
 restore
Index: doc/latex/classARX__inherit__graph.md5
===================================================================
--- doc/latex/classARX__inherit__graph.md5 (revision 99)
+++ doc/latex/classARX__inherit__graph.md5 (revision 99)
@@ -0,0 +1,1 @@
+62910b7cbf1d24ce7972781c3d4f4ab1
